Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1274946 - [abrt] dnf: main.py:99:main:IOError: [Errno 5] Input/output error
Summary: [abrt] dnf: main.py:99:main:IOError: [Errno 5] Input/output error
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:449a8297fde4c05ba2d8fd2117e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-24 00:49 UTC by Chen_Min_Chin
Modified: 2015-11-30 23:23 UTC (History)
6 users (show)

Fixed In Version: dnf-1.1.4-1.fc23 dnf-1.1.4-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-30 23:23:52 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (deleted)
2015-10-24 00:49 UTC, Chen_Min_Chin
no flags Details
File: environ (deleted)
2015-10-24 00:49 UTC, Chen_Min_Chin
no flags Details

Description Chen_Min_Chin 2015-10-24 00:49:42 UTC
Version-Release number of selected component:
dnf-1.1.2-4.fc22

Additional info:
reporter:       libreport-2.6.2
cmdline:        /usr/bin/python -OO /usr/bin/dnf -y update
dso_list:       python-dnf-1.1.2-4.fc22.noarch
executable:     /usr/bin/dnf
kernel:         4.1.10-200.fc22.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
main.py:99:main:IOError: [Errno 5] Input/output error

Traceback (most recent call last):
  File "/usr/bin/dnf", line 36, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 198, in user_main
    errcode = main(args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 99, in main
    print(_("Terminated."), file=sys.stderr)
IOError: [Errno 5] Input/output error

Local variables in innermost frame:
base: <dnf.cli.cli.BaseCli object at 0x7fe84b9d80d0>
e: KeyboardInterrupt()
args: ['-y', 'update']

Comment 1 Chen_Min_Chin 2015-10-24 00:49:47 UTC
Created attachment 1086037 [details]
File: backtrace

Comment 2 Chen_Min_Chin 2015-10-24 00:49:49 UTC
Created attachment 1086038 [details]
File: environ

Comment 3 Fedora Update System 2015-11-16 19:07:12 UTC
dnf-plugins-core-0.1.14-1.fc23 dnf-1.1.4-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-fe6e8b885b

Comment 4 Fedora Update System 2015-11-18 16:26:15 UTC
dnf-1.1.4-1.fc22 dnf-plugins-core-0.1.14-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-6137119aff

Comment 5 Fedora Update System 2015-11-18 16:52:10 UTC
dnf-1.1.4-1.fc23, dnf-plugins-core-0.1.14-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update dnf dnf-plugins-core'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-fe6e8b885b

Comment 6 Fedora Update System 2015-11-19 09:52:13 UTC
dnf-1.1.4-1.fc23, dnf-plugins-core-0.1.14-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-11-19 14:51:09 UTC
dnf-1.1.4-1.fc22, dnf-plugins-core-0.1.14-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update dnf-plugins-core dnf'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6137119aff

Comment 8 Fedora Update System 2015-11-30 23:23:07 UTC
dnf-1.1.4-1.fc22, dnf-plugins-core-0.1.14-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.